> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-network/constants/addressversion.md).

# AddressVersion

Enum representing the address version byte used in encoded Stacks addresses. The address version determines the address type and network.

Every Stacks address starts with `S` followed by a single character indicating the address version. The second character is the c32-encoded `AddressVersion` byte.

***

### Usage

```ts
import { AddressVersion } from '@stacks/network';

// Check if an address version is for mainnet single-sig
if (addressVersion === AddressVersion.MainnetSingleSig) {
  console.log('This is a mainnet single-sig address (SP...)');
}
```

[**Reference Link**](https://github.com/stx-labs/stacks.js/tree/main/packages/network/src/constants.ts#L45)

***

### Definition

```ts
enum AddressVersion {
  MainnetSingleSig = 22,
  MainnetMultiSig = 20,
  TestnetSingleSig = 26,
  TestnetMultiSig = 21,
}
```

***

### Values

| Value              | Number | Address Prefix | Description                                   |
| ------------------ | ------ | -------------- | --------------------------------------------- |
| `MainnetSingleSig` | `22`   | `SP`           | Single-sig address for mainnet                |
| `MainnetMultiSig`  | `20`   | `SM`           | Multi-sig address for mainnet                 |
| `TestnetSingleSig` | `26`   | `ST`           | Single-sig address for testnet/devnet/mocknet |
| `TestnetMultiSig`  | `21`   | `SN`           | Multi-sig address for testnet/devnet/mocknet  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-network/constants/addressversion.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
